<?php

namespace SuperRhino\AppStoreServerApi\Response;

use SuperRhino\AppStoreServerApi\Util;

class CheckTestNotificationResponse extends AbstractResponse {

    /**
     * The result of the App Store server’s attempt to send the TEST notification to your server.
     */
    public string $firstSendAttemptResult;

    /**
     * The signed payload, in JWS format, that contains the TEST notification that the App Store server sent to your server.
     */
    public ServerNotificationsPayload $signedPayload;

    protected function parameterConverter($name, $value) {
        switch ($name) {
            case 'signedPayload':
                return new ServerNotificationsPayload(Util::unsafeDecodeJWS($value));
            default:
                return $value;
        }
    }

}