<?php

namespace SuperRhino\AppStoreServerApi\Response;

class NotificationHistoryResponse extends AbstractResponse {

    /**
     * An array of App Store server notification history records.
     * @var NotificationHistoryResponseItem[]
     */
    public array $notificationHistory;

    /**
     * A Boolean value that indicates whether the App Store has more notification-history records to send. If hasMore is true, use the paginationToken in the subsequent request to get more records. If hasMore is false, there are no more records available.
     */
    public bool $hasMore;

    /**
     * A pagination token that you provide to Get Notification History on a subsequent request, to get the next page of responses.
     */
    public string $paginationToken;

    protected function parameterConverter($name, $value) {
        switch ($name) {
            case 'notificationHistory':
                return array_map(function ($notificationHistory) {
                    return new NotificationHistoryResponseItem($notificationHistory);
                }, $value);
            default:
                return $value;
        }
    }

}